### Function

# Gimp Layer get_by_id

#### Declaration [src]

    GimpLayer*
    gimp_layer_get_by_id (
      gint32 layer_id
    )

#### Description [src]

Returns a `GimpLayer` representing `layer_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is layer or `NULL` otherwise.

Available since: | 3.0

#### Parameters

`layer_id` | `gint32`
| The layer id.

#### Return value

Returns: | `GimpLayer`
| A `GimpLayer` for `layer_id` or `NULL` if `layer_id` does not represent a valid layer. The object belongs to libgimp and you must not modify or unref it.
| The data is owned by the called function.
| The return value can be `NULL`.